Wiseguy.market logoWiseguy.market Docs

Get Comment Replies

Returns Gamma-compatible replies for a community comment id

GET
/comments/{id}

Path Parameters

id*string

Comment id

Query Parameters

limit?integer

Maximum number of rows to return.

Range1 <= value <= 100
Default20
offset?integer

Offset for pagination.

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/comments/string"
[  {    "id": "string",    "body": "string",    "parentEntityType": "string",    "parentEntityID": 0,    "parentCommentID": "string",    "userAddress": "string",    "replyAddress": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "profile": {      "name": "string",      "pseudonym": "string",      "displayUsernamePublic": true,      "bio": "string",      "isMod": true,      "isCreator": true,      "proxyWallet": "string",      "baseAddress": "string",      "profileImage": "string",      "profileImageOptimized": {},      "positions": [        {          "tokenId": "string",          "positionSize": "string"        }      ]    },    "reactions": [      {}    ],    "reportCount": 0,    "reactionCount": 0,    "replyCount": 0,    "replies": [      {}    ]  }]